.hidden {
	display: none!important;
	visibility: hidden!important;
}

.suggested-products__container_wrapper{
	max-height: 56px;
	overflow: hidden;
	transition: max-height 0.5s;

}

.suggested-products__container_wrapperr{ 
	background-color: #F7F9FC;
	border-radius: 19.5px;
	padding: 30.5px;
	width: 100%;
}

.suggested-products__container_wrapper.active{
	max-height: 700px;
}

.suggested-products__trigger{
	font-weight: 700;
	font-size: 14px;
	line-height: 16.8px;
	letter-spacing: 3%;
	border: 1px solid #E7E7E7;
	border-radius: 7px;
	padding: 16px 46px 16px 21px;
	text-transform: uppercase;
	display: flex;
	align-items: center;
	justify-content: space-between;
	position: relative;
	cursor: pointer;
}


.suggested-products__trigger:after{
	content: '';
	background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="12" height="7" viewBox="0 0 12 7" fill="none"><path d="M6.0002 6.99274L0.84082 1.83337L2.16686 0.507324L6.0002 4.34066L9.83353 0.507324L11.1596 1.83337L6.0002 6.99274Z" fill="%232B2B2B"/></svg>');
	width: 12px;
	height: 7px;
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	right: 19px;
	transition: transform 0.5s;
}

.suggested-products__container_wrapper.active .suggested-products__trigger:after{
	transform: rotate(180deg) translateY(50%);
}

.suggested-products__container{
	margin-top: 10px;
}

.suggested-products__single-offer{
	display: flex;
	border-radius: 9px;
	margin-bottom: 15px;
	overflow: hidden;
	cursor: pointer;
	background-color: #fff;
	padding: 15px 15px 15px;
	border: 2px solid #F7F9FC;
}

.suggested-products__single-offer:has(input[type="checkbox"]:checked){
	border: 2px solid var(--fs-color-secondary);
}

.suggested-products__product-image{
	max-width: 110px;
	overflow: hidden;
	flex-shrink: 0;
}

.suggested-products__product-image:hover{
	cursor: pointer;
}

.suggested-products__product-image img {
	height: 100%;
	max-height: 140px;
	object-fit: contain;
}

.suggested-products__module-title{
	font-family: Manrope;
	font-weight: 800;
	font-size: 14px;
	line-height: 155%;
	letter-spacing: 0%;
	color: #454F51;
	margin-bottom: 26px;
	margin-left: 8px;
	text-transform: uppercase;
}

.suggested-product__checkbox-container{
	display: flex;
	gap: 12px;
	align-items: center;
	width: 100%;
	flex-wrap: wrap;
}


.suggested-products__product-price{
	font-size: 16px;
	font-weight: 600;
	display: flex;
	align-items: center;
	gap: 14px;
	justify-content: flex-start;
	margin-top: 5px;
}

.suggested-products__product-price del{
	color: #B1B1B1;
}

.suggested-products__product-discount {
	color: #FFF;
	border-radius: 23px;
	background: #31B6A6;
	padding: 0px 10px;
}

.suggested-products__product-sale-price{
	color: #31B6A6;
	font-weight: 800;
}

.suggested-products__container .single_add_to_cart_button {
	color: #FFF;
	border-radius: 7px;
	background: #2e2e2e;
	padding: 5px 20px;
	margin: 0;
	flex-grow: 1;
	text-align: center;
}


.suggested-products__container .single_add_to_cart_button:hover {
	cursor: pointer;
}

.suggested-products__container_new .suggested-product__checkbox-container{
	flex-direction: column;
	padding: 20px;
	justify-content: space-between;
}

.suggested-products__product-name{
	font-size: 22px;
}

.suggested-products__form {
	display: flex;
	align-items: center;
	margin-bottom: 0;
}


.suggested-products__product-options select{
    font-size: 12px;
    margin-bottom: 2px;
    margin-top: 6px;
    border-radius: 6.5px;
    height: 28px;
    width: auto;
    padding-right: 25px;
    text-align: center;
    box-shadow: none !important;
    border: solid 1px #E7EBF0;
}

.recommended-products__product-name {
	margin-bottom: 0;
	font-family: Manrope;
	font-weight: 800;
	font-size: 14px;
	line-height: 31px;
	letter-spacing: 0%;
	color: #213236;
}

.suggested-products__container .single_add_to_cart_button{
	height: 36px;
	line-height: normal;
}


.suggested-products-bottom .single_add_to_cart_button{ 
	height: 36px;
	margin: 0;
	flex: unset !important;
}

.suggested-products__product-options  {
	
}

.suggested-product__checkbox-container> div:has(.suggested-products__product-content){
	flex: 1;
}



.suggested-product__checkbox-container .round-checkbox {
    position: relative;
    width: 30px;
}


.suggested-product__checkbox-container .round-checkbox label {
    pointer-events: none;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 50%;
    cursor: pointer;
    height: 28px;
    width: 28px;
    display: block;
	margin-bottom: 0;
}

.suggested-product__checkbox-container .round-checkbox label:after {
    border: 2px solid #fff;
    border-top: none;
    border-right: none;
    content: "";
    height: 6px;
    left: 8px;
    opacity: 0;
    position: absolute;
    top: 9px;
    transform: rotate(-45deg);
    width: 12px;
}

.suggested-product__checkbox-container .round-checkbox input[type="checkbox"] {
    visibility: hidden;
    display: none;
    opacity: 0;
}

.suggested-product__checkbox-container .round-checkbox input[type="checkbox"]:checked+label {
    background-color: var(--fs-color-secondary);
    border-color: var(--fs-color-secondary);
}

.suggested-product__checkbox-container .round-checkbox input[type="checkbox"]:checked+label:after {
    opacity: 1;
}

@media(max-width: 1149px){
	.suggested-products-bottom{
		flex-direction: column;
		align-items: stretch;
	}

	.suggested-products__container_wrapperr{
		padding: 15px;
	}

	.recommended-products__product-name{
		line-height: 24px;
	}
	
}



@media(max-width: 849px){
	.suggested-products-bottom{
		flex-direction: row;
		align-items: start;
		padding: 0;
		margin-top: 14px;
		width: 100%;
		justify-content: space-between;
	}

	.suggested-products__container_wrapperr{
		margin: 0 -15px !important;
		border-radius: 0;
	}

	.suggested-products__single-offer{
		margin: 0 -15px 15px;
		width: calc(100% + 30px);
		border-radius: 0;
	}

	.suggested-products__module-title{ 
		margin-top: 25px;
	}

	.suggested-products__product-image img{ 
		max-width: 82px;
		padding-top: 16px;
	}
	
	.suggested-products__product-image{
		margin-bottom: 0px;
	}
	
	.suggested-products__product-price{
		margin-bottom: 0;
	}
}